INTERFACE
SUBROUTINE GPINISLB(&
 & KST,KEN,PTE,LDTL,&
 & PGFL,&
 & PUT9 ,PVT9 ,PTT9,&
 & PSPDT9 ,PSVDT9 ,PNHX9 ,PSPT9,&
 & PVVEL0 ,PZPRE0F,&
 & PB2U1 ,PB2V1 ,PB2T1 ,PGFLT1,&
 & PB2PD1 ,PB2VD1 ,PGMVNHX1,&
 & PB2SP1 ,&
 & PB2,PQICE,PQLI,&
 & PGWFT0,PGDW0,PGWS0,PGWFT9,PGDW9,PGWS9) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
USE YOM_YGFL , ONLY : YGFL ,YGFLC ,YL ,YI
USE YOMSC2 , ONLY : NFLDSLB2
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEN
REAL(KIND=JPRB) ,INTENT(IN) :: PTE
LOGICAL ,INTENT(IN) :: LDTL
REAL(KIND=JPRB) ,INTENT(IN) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PUT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPDT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSVDT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PNHX9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT9(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVVEL0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PZPRE0F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB2U1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB2V1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB2T1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB2PD1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB2VD1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGMVNHX1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB2SP1(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQICE(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQLI(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PGWFT0(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PGDW0(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PGWS0(NPROMA)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PGWFT9(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PGDW9(NPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PGWS9(NPROMA)
END SUBROUTINE GPINISLB
END INTERFACE
